Rotate Example

Using Programming Languages other than VBA

Sub Example_Rotate()
	' This example creates a lightweight polyline
	' and then rotates that polyline.

	' Create the polyline
	Dim plineObj As AcadLWPolyline
	Dim points(0 To 11) As Double
	points(0) = 1: points(1) = 2
	points(2) = 1: points(3) = 3
	points(4) = 2: points(5) = 3
	points(6) = 3: points(7) = 3
	points(8) = 4: points(9) = 4
	points(10) = 4: points(11) = 2
	Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
	plineObj.Closed = True
	ZoomAll
		
	MsgBox "Rotate the polyline by 45 degrees.", , "Rotate Example"

	' Define the rotation
	Dim basePoint(0 To 2) As Double
	Dim rotationAngle As Double
	basePoint(0) = 4: basePoint(1) = 4.25: basePoint(2) = 0
	rotationAngle = 0.7853981   ' 45 degrees

	' Rotate the polyline
	plineObj.Rotate basePoint, rotationAngle

	ZoomAll
	MsgBox "Rotation completed.", , "Rotate Example"

End Sub

 

   Comments? 
500 Internal Server Error

Internal Server Error

The server encountered an internal error or misconfiguration and was unable to complete your request.

Please contact the server administrator at webmaster@entercad.forsenergy.ru to inform them of the time this error occurred, and the actions you performed just before this error.

More information about this error may be available in the server error log.

Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request.